4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Dist

Classes: Dist |  |  |  | Globals: DEBUG

## Classes

class Dist(distutils.dist.Distribution)
  # Our new Distribution class

  ### Methods

  __init__(self, attrs)
    Overrides: __init__ from class Distribution
  finalize_options(self)
    Overrides: finalize_options from class Distribution
  get_command_class(self, command)
    Overrides: get_command_class from class Distribution
  get_command_list(self)
    Overrides: get_command_list from class Distribution
  get_source_files(self, allfiles=None)
  handle_display_options(self, option_order)
    Overrides: handle_display_options from class Distribution
  has_bgen(self)
  has_devel(self)
  has_docs(self)
  has_l10n(self)
  has_localstate(self)
  has_sysconf(self)
  print_commands(self)
    Overrides: print_commands from class Distribution
  print_option_list(self, options, header, max_length)
  run_command(self, command)
    Do whatever it takes to run a command (including nothing at all, if the command has already been run). Specifically: if we have already created and run the command named by 'command', return silently without doing anything. If the command named by 'command' doesn't even have a command object yet, create one. Then invoke 'run()' on that command object (or an existing one).
    Overrides: run_command from class Distribution

  ### Methods inherited from class distutils.dist.Distribution

  announce, dump_option_dicts, find_config_files, get_command_obj, get_command_packages, get_option_dict, has_c_libraries, has_data_files, has_ext_modules, has_headers, has_modules, has_pure_modules, has_scripts, is_pure, parse_command_line, parse_config_files, print_command_list, reinitialize_command, run_commands

  ### Members

  cmd = 'bdist_wininst'
  command_mapping = {'bdist': 'BDist', 'bdist_dumb': None, 'bdist_inno': 'BDistInno', 'bdist_install': 'BDistInstall', 'bdist_rpm': 'BDistRpm', 'bdist_wininst': 'BDistWininst', 'build': 'Build', 'build_clib': None, 'build_docs': 'BuildDocs', 'build_ext': 'BuildExt', ...}
  display_option_names = ['help_compilers', 'help_commands', 'name', 'version', 'fullname', 'author', 'author_email', 'maintainer', 'maintainer_email', 'contact', 'contact_email', 'url', 'license', 'licence', 'description', 'long_description', 'platforms', 'classifiers', 'keywords']
  display_options = [('help-compilers', None, 'list available compilers'), ('help-commands', None, 'list all available commands'), ('name', None, 'print package name'), ('version', 'V', 'print package version'), ('fullname', None, 'print <package name>-<version>'), ('author', None, "print the author's name"), ('author-email', None, "print the author's email address"), ('maintainer', None, "print the maintainer's name"), ('maintainer-email', None, "print the maintainer's email address"), ('contact', None, "print the maintainer's name if known, else the author's"), ('contact-email', None, "print the maintainer's email address if known, else the author's"), ('url', None, 'print the URL for this package'), ('license', None, 'print the license of the package'), ('licence', None, 'alias for --license'), ('description', None, 'print the package description'), ('long-description', None, 'print the long package description'), ('platforms', None, 'print the list of platforms'), ('classifiers', None, 'print the list of classifiers'), ('keywords', None, 'print the list of keywords')]
  ordered_commands = ['config', 'build', 'clean', 'install', 'sdist', 'bdist', 'generate']

  ### Members inherited from class distutils.dist.Distribution

  global_options, negative_opt

## Globals

DEBUG = None